"use strict";

angular.module('app.home', [
  'glDatePicker',
  'ui.router'
])

  .config(function config($stateProvider) {
    $stateProvider.state('home', {
      url: '/home',
      views: {
        "main": {
          controller: 'HomeCtrl',
          templateUrl: 'home/home.tpl.html'
        }
      },
      data: {pageTitle: 'Home'}
    });
  })

  .controller('HomeCtrl', ['$scope', function ($scope) {
    $scope.dates = ['2015-07-20', '2015-07-28'];
    $scope.relativeDates = ['d-7', 'd-1'];
    $scope.settings = {
      presets: [{
        startDate: 'w-1',
        endDate: 'we-1',
        name: "Last week"
      },
      {
        startDate: 'm-1',
        endDate: 'me-1',
        name: "Last month"
      },
      {
        startDate: 'm-0',
        endDate: 'd-1',
        name: "Month to date"
      }
      ],
      defaults: ['d-7', 'd-1'],
      disable: false
    };
  }]);